Skip to navigation

Update a user

View as Markdown

Updates an existing user resource, overwriting all values for a user even if an attribute is empty or not provided. If an attribute that had been set previously is left blank during a PUT operation, the new value will be blank in accordance with the data type of the attribute and the storage provider. Deactivated users can be re-enabled by setting the active attribute to true. The value of the <id> should be the user’s corresponding user ID.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequired
The ID of the user to be updated.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Request

This endpoint expects an object.
schemaslist of stringsOptional
idstring or nullOptional
externalIdstringOptional
metaobjectOptional
userNamestringOptional
nameobjectOptional
displayNamestringOptional
preferredLanguagestringOptional
localestringOptional
activebooleanOptional
emailslist of objectsOptional
groupslist of objectsOptional
roleslist of objectsOptional
urn:zuora:scim:schemas:1.0:UserExtensionobjectOptional

Response

OK
idstringOptional
The unique identifier for the user resource.
userNamestringOptional

The user’s unique username.

displayNamestringOptional
The display name of the user, typically used in user interfaces.
activebooleanOptional
Indicates whether the user account is currently active.
emailslist of objectsOptional
metaobjectOptional